API Endpoint
DELETE
https://api.plivo.com/v1/Account/{auth_id}/Profile/{profile_uuid}/
Arguments
No arguments need to be passed.
import sys
sys.path.append("../plivo-python")
import plivo
client = plivo.RestClient("<auth_id>", "<auth_token>")
response = client.profile.delete(profile_uuid="<profile_uuid>")
print(response)
require "rubygems"
require "/etc/plivo-ruby/lib/plivo.rb"
include Plivo
api = RestClient.new("<auth_id>", "<auth_token>")
begin
# Delete a Profile
response = api.profile.delete("<profile_uuid>")
puts response
rescue PlivoRESTError => e
puts 'Exception: ' + e.message
end
let plivo = require('plivo');
var client = new plivo.Client("<auth_id>", "<auth_token>");
client.profile.delete("<profile_uuid>")
.then(function(response) {
console.log(response);
})
.catch(function(error) {
console.log(error);
});
<?php
# Available in versions >= 4.29.0 (https://github.com/plivo/plivo-php/releases/tag/v4.29.0)
require '/etc/plivo-php/vendor/autoload.php';
use Plivo\RestClient;
$client = new RestClient("<auth_id>", "<auth_token>");
// delete Powerpack
$client
->client
->setTimeout(60);
try
{
// $res = $client->profile->list();
$res = $client
->profile
->delete("<profile_uuid>");
print_r($res);
}
catch(PlivoRestException $ex)
{
print_r($ex);
}
?>
package com.plivo.examples;
import com.plivo.api.Plivo;
import com.plivo.api.models.profile.Profile;
public class PlivoTest {
public static void main(String[] args) {
Plivo.init("<auth_id>", "<auth_token>");
// Delete Profile
try
{
Profile response = Profile.delete("<Profile_UUID>").delete();
System.out.println(response);
}
catch (Exception e)
{
e.printStackTrace();
}
}
}
// Available in versions >= 5.9.0 (https://github.com/plivo/plivo-dotnet/releases/tag/v5.9.0)
using System;
using System.Collections.Generic;
using Plivo;
using Plivo.Exception;
using Plivo.Resource.Profile;
namespace dotnet_project
{
class Ten_dlc
{
static void Main(string[] args)
{
var api = new PlivoApi("<auth_id>", "<auth_token>");
// Delete a Profile
try
{
var response = api.Profile.Delete("f8ca5a50-50b8-438d-8068-28427b1c0e90");
Console.WriteLine(response);
}
catch (PlivoRestException e)
{
Console.WriteLine("Exception: " + e.Message);
}
}
}
}
package main
import (
"fmt"
"os"
plivo "github.com/plivo/plivo-go/v7"
)
func main() {
client, err := plivo.NewClient("<auth_id>", "<auth_token>", &plivo.ClientOptions{})
if err != nil {
panic(err)
}
//Delete Profile
response, err := client.Profile.Delete("<Profile UUID>")
if err != nil {
fmt.Printf("Error occurred while deleting profile error:%+v\n", err)
os.Exit(1)
} else {
fmt.Printf("%+v\n", response)
}
}
curl -X DELETE -i --user auth_id:auth_token \
https://api.plivo.com/v1/Account/{auth_id}/Profile/{profile_uuid}/
Response
{
"api_id": "aaf7717a-c149-11ec-a932-0242ac110003",
"message": "Profile deleted successfully."
}